/* ============================================================
*
* This file is a part of kipi-plugins project
* http://www.kipi-plugins.org
*
* Date        : 2010-01-07
* Description : a plugin to export to a remote Piwigo server.
*
* Copyright (C) 2003-2005 by Renchi Raju <renchi dot raju at gmail dot com>
* Copyright (C) 2006 by Colin Guthrie <kde@colin.guthr.ie>
* Copyright (C) 2006-2009 by Gilles Caulier <caulier dot gilles at gmail dot com>
* Copyright (C) 2008 by Andrea Diamantini <adjam7 at gmail dot com>
* Copyright (C) 2010 by Frederic Coiffier <frederic dot coiffier at free dot com>
*
* This program is free software; you can redistribute it
* and/or modify it under the terms of the GNU General
* Public License as published by the Free Software Foundation;
* either version 2, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* ============================================================ */

#ifndef PIWIGOITEM_H
#define PIWIGOITEM_H

// Qt includes

#include <QString>

namespace KIPIPiwigoExportPlugin
{

class GPhoto
{
public:

    GPhoto() {
        ref_num = -1;
    }

    int     ref_num;
    int     album_num;

    QString name;
    QString caption;
    QString thumbName;
    QString albumURL;
};

// ------------------------------------------------------------------------

class GAlbum
{
public:

    GAlbum() {
        ref_num        = -1;
        parent_ref_num = -1;
    }

    bool operator<(const GAlbum& rhs) const {
        if (parent_ref_num == rhs.parent_ref_num) {
            return ref_num < rhs.ref_num;
        }
        return parent_ref_num < rhs.parent_ref_num;
    }

    // permissions
    int                ref_num;         // album reference number
    int                parent_ref_num;  // parent's album reference number

    QString            name;            // ?
    /*QString            parentName;      // ?
    QString            title;           // album title*/
    //QString            summary;         // album summary
    QString            baseurl;         // album partial (gallery) URL
};

//category id="3" nb_images="80" total_nb_images="80" date_last="2010-01-03 22:06:29" max_date_last="2010-01-03 22:06:29" nb_categories="0" url="http://fcoiffie.free.fr/piwigo-2.0.7/index.php?/category/3"
} // namespace KIPIPiwigoExportPlugin

#endif /* PIWIGOITEM_H */
